Create a preset
Creates a new instruction preset for the authenticated user. The instruction_data should be a valid instruction object for the given type.
token_authAuthorizationBearer <token>Token-based authentication using access tokens.
application/json- body
name*NameDisplay name for the preset.
description?|Optional description.
nulltype*TypePreset type: flat_2_model, model_swap, identity_creation, create_packshot or garment_recolor.
"flat_2_model""model_swap""identity_creation""create_packshot""garment_recolor"instruction_data*Instruction configuration data.
category_ids?array<string>|Optional category IDs to assign the preset to.
nullSuccessful Response
application/json- response
Common preset fields.
preset_code*Preset CodeUnique identifier for the preset.
name*NamePreset display name.
description*|Optional description of the preset.
type*TypePreset type: flat_2_model, model_swap, or identity_creation.
"flat_2_model""model_swap""identity_creation""create_packshot""garment_recolor"visibility*VisibilityVisibility level of the preset.
"shared""private""system"groups*array<string>Groups the preset is shared with.
categories*array<>Templates assigned to this preset.
instruction_data*Instruction configuration data (JSON).
created_by*|Email of the creator (null for system presets).
created_at*Created AtCreation datetime (UTC) in ISO 8601 format.
updated_at*Updated AtLast updated datetime (UTC) in ISO 8601 format.
curl -X POST "https://example.com/preset" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "type": "flat_2_model", "instruction_data": {} }'{ "preset_code": "string", "name": "string", "description": "string", "type": "flat_2_model", "visibility": "shared", "groups": [ "string" ], "categories": [ { "id": "string", "name": "string", "description": "string", "thumbnail_url": "string", "visibility": "shared", "created_by": "string", "created_at": "string", "swatch_source": null, "preset_count": 0, "preset_types": [ "flat_2_model" ], "groups": [ "string" ], "preset_previews": [ { "preset_code": "string", "name": "string", "preview_url": null, "framing": null, "angle": null } ] } ], "instruction_data": {}, "created_by": "string", "created_at": "string", "updated_at": "string"}